Bug 11281 - Add column configuration to 'Holds awaiting pickup' tables allowing to print both tables separately
Summary: Add column configuration to 'Holds awaiting pickup' tables allowing to print ...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-21 20:10 UTC by Nicole C. Engard
Modified: 2020-03-09 20:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 11281: Printing holds awaiting pickup prints both tabs (6.11 KB, patch)
2019-11-22 19:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11281: Printing holds awaiting pickup prints both tabs (6.15 KB, patch)
2020-02-04 10:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 11281: Printing holds awaiting pickup prints both tabs (6.20 KB, patch)
2020-02-09 11:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-11-21 20:10:03 UTC
If i want to print the holds over tab from the browser it prints the holds waiting first and then the holds over. It would be nice if the print option only printed the page I was looking at (those waiting or those over).
Comment 1 Nicole C. Engard 2013-11-21 20:10:18 UTC
This is master and 3.12.6
Comment 2 Owen Leonard 2019-11-22 19:44:33 UTC
Created attachment 95737 [details] [review]
Bug 11281: Printing holds awaiting pickup prints both tabs

This patch adds columns configuration to the holds awaiting pickup
tables. Doing so helps solve the printing issue by adding a "Print"
option to both tables. Using this print function will provide a
printable version of only that table.

To test you should have multiple holds in your system which are marked
"waiting" and some which have been waiting longer than the value
specified in the ReservesMaxPickUpDelay system preference.

Apply the patch and go to Circulation -> Holds awaiting pickup.

 - On both the "Holds waiting" and "Holds waiting over..." tabs the
   DataTable should display correctly and all the controls should work,
   including the columns settings and the choices in the export menu.
 - Confirm that the "Print" action creates a printable version of only
   the table you are viewing.

 - Go to Administration -> Columns settings -> Circulation.
 - Change some visibility controls for the tables under the
   "holds_awaiting_pickup" heading (id=holdso and id=holdst). Confirm
   that these changes are reflected in the "Holds waiting" interface.
Comment 3 David Nind 2020-02-04 10:50:49 UTC
Created attachment 98371 [details] [review]
Bug 11281: Printing holds awaiting pickup prints both tabs

This patch adds columns configuration to the holds awaiting pickup
tables. Doing so helps solve the printing issue by adding a "Print"
option to both tables. Using this print function will provide a
printable version of only that table.

To test you should have multiple holds in your system which are marked
"waiting" and some which have been waiting longer than the value
specified in the ReservesMaxPickUpDelay system preference.

Apply the patch and go to Circulation -> Holds awaiting pickup.

 - On both the "Holds waiting" and "Holds waiting over..." tabs the
   DataTable should display correctly and all the controls should work,
   including the columns settings and the choices in the export menu.
 - Confirm that the "Print" action creates a printable version of only
   the table you are viewing.

 - Go to Administration -> Columns settings -> Circulation.
 - Change some visibility controls for the tables under the
   "holds_awaiting_pickup" heading (id=holdso and id=holdst). Confirm
   that these changes are reflected in the "Holds waiting" interface.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Katrin Fischer 2020-02-09 11:04:19 UTC
I think this is a great solution to this old issue.
Comment 5 Katrin Fischer 2020-02-09 11:07:29 UTC
Created attachment 98617 [details] [review]
Bug 11281: Printing holds awaiting pickup prints both tabs

This patch adds columns configuration to the holds awaiting pickup
tables. Doing so helps solve the printing issue by adding a "Print"
option to both tables. Using this print function will provide a
printable version of only that table.

To test you should have multiple holds in your system which are marked
"waiting" and some which have been waiting longer than the value
specified in the ReservesMaxPickUpDelay system preference.

Apply the patch and go to Circulation -> Holds awaiting pickup.

 - On both the "Holds waiting" and "Holds waiting over..." tabs the
   DataTable should display correctly and all the controls should work,
   including the columns settings and the choices in the export menu.
 - Confirm that the "Print" action creates a printable version of only
   the table you are viewing.

 - Go to Administration -> Columns settings -> Circulation.
 - Change some visibility controls for the tables under the
   "holds_awaiting_pickup" heading (id=holdso and id=holdst). Confirm
   that these changes are reflected in the "Holds waiting" interface.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-02-09 11:08:21 UTC
There is a bit of weird behavior depending on screen size, as the table always 'centers'. But it's not perfect before the patch either - maybe something for a small follow-up. Owen, could you have a quick look to see if you can reproduce?
Comment 7 Martin Renvoize 2020-02-10 09:23:15 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Owen Leonard 2020-02-10 14:13:09 UTC
(In reply to Katrin Fischer from comment #6)
> There is a bit of weird behavior depending on screen size, as the table
> always 'centers'

We should add "autowidth: false" to the global DataTables configuration because I don't think there's any case where we don't want it. Doing so would help here I think.
Comment 9 Joy Nelson 2020-03-05 00:39:32 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 10 Lucas Gass 2020-03-09 20:05:13 UTC
backported to 19.05.x for 19.05.09